#ifndef _OOPSER_IDE_H
#define _OOPSER_IDE_H

/* Create a LINUX_OOPSER_SET command for this device. */
extern void *ide_create_set_command(int devfd, size_t *len,
				    const unsigned int offsets[]);

/* Get device name, eg. /dev/hda3 */
extern char *ide_get_device_name(int major, int minor);

/* Get devfs-style name. eg. /dev/ide/host0/bus0/target0/lun0/disc */
extern char *ide_get_devfs_name(int major, int minor);

#endif /* _OOPSER_IDE_H */
